summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
authorAndrew Dolgov <[email protected]>2011-11-11 13:43:59 +0400
committerAndrew Dolgov <[email protected]>2011-11-11 13:43:59 +0400
commitcb635435b186e4aedbaddf77545c1c73c8c3c3f5 (patch)
tree9b6cf9755a5d38a935f857bb69c9134bfc67bfb8 /utils
parentb532377c7f0cbdfef7248b25cc4c5620a6fd81e0 (diff)
add .deb creation script
Diffstat (limited to 'utils')
-rwxr-xr-xutils/create-release-deb.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/utils/create-release-deb.sh b/utils/create-release-deb.sh
new file mode 100755
index 000000000..0f9d43f16
--- /dev/null
+++ b/utils/create-release-deb.sh
@@ -0,0 +1,19 @@
+#!/bin/sh -ei
+
+if [ -z $1 ]; then
+ echo usage: $0 VERSION
+ exit 1
+fi
+
+git clone . dpkg-tmp/tt-rss
+cd dpkg-tmp/tt-rss
+git co $1
+
+debuild -i -us -uc
+
+cd ..
+
+reprepro -b /var/www/apt include unstable tt-rss*_i386.changes
+
+#cd ..
+#rm -rf dpkg-tmp